Page MenuHomePhabricator

Release Wikipedia for iOS v 5.0.5 build 904.1.1
Closed, ResolvedPublic

Description

Release version: 5.0.5 build 904.1.1
Release tag: releases/5.0.5.904.1.1
Release SHA1: e0e3a645796c5e3eb0e9197f6d0445820589a891
App Store Submission Date: 7/26/2016
App Store Approval Date: 7/27/2016
App Store Release Date: 7/28/2016


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Point current status at this card
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing on iTunes Connect
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Draft What's New
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l when available on app store

Event Timeline

JMinor created this task.Jun 20 2016, 6:21 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 20 2016, 6:21 PM
JMinor triaged this task as High priority.Jun 20 2016, 6:26 PM
JMinor moved this task from Tasks from Product Backlog to Doing on the iOS-app-v5.0.5-Fever board.
JMinor added a comment.EditedJun 27 2016, 5:08 PM

Two additional items due to previous issues with analytics:

  • verify user agent matches EventLogging user agent
  • check piwik site id and tokens are correct
JMinor updated the task description. (Show Details)Jun 27 2016, 5:09 PM
Fjalapeno renamed this task from Release Wikipedia for iOS v 5.0.5 881.1 to Release Wikipedia for iOS v 5.0.5 889.1.Jun 28 2016, 2:55 PM
Fjalapeno updated the task description. (Show Details)
JMinor renamed this task from Release Wikipedia for iOS v 5.0.5 889.1 to Release Wikipedia for iOS v 5.0.5 build TDB.Jul 5 2016, 6:08 PM
Josve05a renamed this task from Release Wikipedia for iOS v 5.0.5 build TDB to Release Wikipedia for iOS v 5.0.5 build TBD.Jul 21 2016, 5:03 PM
Josve05a updated the task description. (Show Details)
Josve05a added a subscriber: Josve05a.

Do we need to reset the ticked things which were marked as "done" int he ticket description, since the release was post-poned and new things has been done since they were makred as "checked" above.

Verified analytics in 902.1:

POST /piwik.php HTTP/1.1
Host: piwik.wikimedia.org
Accept: */*
Content-Type: application/json; charset=utf-8
Connection: keep-alive
Cookie: GeoIP=US:PA:Philadelphia:39.97:-75.18:v4
Accept-Language: en-us
Content-Length: 4959
Accept-Encoding: gzip, deflate
User-Agent: Wikipedia/902.1 CFNetwork/796.1 Darwin/16.0.0

{"requests":["?rec=1&url=http:\/\/Wikipedia\/screen\/Explore&r=33717&_idvc=4&s=47&_id=91fbdcc254710a03&_viewts=1469214167&_idts=1469044955&e_c=Explore&apiv=1&h=15&send_image=0&idsite=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"902.1\"]}&res=1242x2208&e_n=Most Read&m=2&new_visit=1&e_a=Impression&cdt=2016-07-22 19:02:47","?_viewts=1469045005&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=30277&_id=91fbdcc254710a03&s=6&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=4&_idts=1469044955&send_image=0&cdt=2016-07-20 20:04:06&e_c=Explore&res=1242x2208","?_viewts=1469045005&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=27821&_id=91fbdcc254710a03&s=59&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:59&e_c=Explore&res=1242x2208","?_viewts=1469045005&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=17502&_id=91fbdcc254710a03&s=47&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:47&e_c=Explore&res=1242x2208","?action_name=screen\/Explore&_viewts=1469045005&h=16&apiv=1&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=16911&_id=91fbdcc254710a03&new_visit=1&s=25&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:25&res=1242x2208","?_viewts=1469044970&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=2&url=http:\/\/Wikipedia\/screen\/Explore&r=36047&_id=91fbdcc254710a03&s=6&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:06&e_c=Explore&res=1242x2208","?_viewts=1469044970&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=2&url=http:\/\/Wikipedia\/screen\/Explore&r=22210&_id=91fbdcc254710a03&s=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:03&e_c=Explore&res=1242x2208","?action_name=screen\/Explore&_viewts=1469044970&h=16&apiv=1&_idvc=2&url=http:\/\/Wikipedia\/screen\/Explore&r=14138&_id=91fbdcc254710a03&new_visit=1&s=49&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:49&res=1242x2208","?_viewts=1469044955&h=16&e_a=Save&apiv=1&_idvc=1&url=http:\/\/Wikipedia\/screen\/en.wikipedia.org&r=17532&_id=91fbdcc254710a03&idsite=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&s=45&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:45&res=1242x2208","?_viewts=1469044955&h=16&e_a=Tap Through&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=38730&_id=91fbdcc254710a03&s=38&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:38&e_c=Explore&res=1242x2208","?_viewts=1469044955&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=1597&_id=91fbdcc254710a03&s=37&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:37&e_c=Explore&res=1242x2208","?_viewts=1469044955&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=34715&_id=91fbdcc254710a03&s=37&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:37&e_c=Explore&res=1242x2208","?_viewts=1469044955&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=4737&_id=91fbdcc254710a03&s=36&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:36&e_c=Explore&res=1242x2208","?rec=1&url=http:\/\/Wikipedia\/screen\/Explore&r=42063&_idvc=1&s=35&_id=91fbdcc254710a03&_viewts=1469044955&_idts=1469044955&e_c=Explore&apiv=1&h=16&send_image=0&idsite=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&res=1242x2208&e_n=Most Read&m=2&new_visit=1&e_a=Impression&cdt=2016-07-20 20:02:35"]}
HTTP/1.1 200 OK
Date: Fri, 22 Jul 2016 19:03:03 GMT
Content-Type: application/json
Content-Length: 63
Connection: keep-alive
Server: Apache
Access-Control-Allow-Origin: *
Access-Control-Allow-Credentials: true
Backend-Timing: D=34926 t=1469214183571805
Content-Encoding: gzip
Vary: Accept-Encoding
X-Varnish: 1050698657, 16942584
Via: 1.1 varnish-v4, 1.1 varnish-v4
Accept-Ranges: bytes
Age: 0
X-Cache: cp1061 pass, cp1045 pass
Strict-Transport-Security: max-age=31536000; includeSubDomains; preload
Set-Cookie: WMF-Last-Access=22-Jul-2016;Path=/;HttpOnly;secure;Expires=Tue, 23 Aug 2016 12:00:00 GMT
X-Analytics: https=1
X-Client-IP: 68.84.42.24

{"status":"success","tracked":14,"invalid":0}
JMinor updated the task description. (Show Details)Jul 26 2016, 5:47 PM
JMinor renamed this task from Release Wikipedia for iOS v 5.0.5 build TBD to Release Wikipedia for iOS v 5.0.5 build 904.1.Jul 26 2016, 11:10 PM

Whats new draft:

"This version looks the same on the surface, but under the hood, has an entirely new engine. You'll see your content load a bit faster, interacting with articles be more responsive, and most importantly, experience less crashes. Saved pages will also take up less space on your iCloud drive. Overall this is the leanest and meanest Wikipedia yet. "

JMinor updated the task description. (Show Details)Jul 27 2016, 11:52 PM
JMinor renamed this task from Release Wikipedia for iOS v 5.0.5 build 904.1 to Release Wikipedia for iOS v 5.0.5 build 904.1.1.Jul 28 2016, 10:14 PM
JMinor closed this task as Resolved.
JMinor updated the task description. (Show Details)

Verified analytics in 902.1:

POST /piwik.php HTTP/1.1
Host: piwik.wikimedia.org
Accept: */*
Content-Type: application/json; charset=utf-8
Connection: keep-alive
Cookie: GeoIP=US:PA:Philadelphia:39.97:-75.18:v4
Accept-Language: en-us
Content-Length: 4959
Accept-Encoding: gzip, deflate
User-Agent: Wikipedia/902.1 CFNetwork/796.1 Darwin/16.0.0
{"requests":["?rec=1&url=http:\/\/Wikipedia\/screen\/Explore&r=33717&_idvc=4&s=47&_id=91fbdcc254710a03&_viewts=1469214167&_idts=1469044955&e_c=Explore&apiv=1&h=15&send_image=0&idsite=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"902.1\"]}&res=1242x2208&e_n=Most Read&m=2&new_visit=1&e_a=Impression&cdt=2016-07-22 19:02:47","?_viewts=1469045005&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=30277&_id=91fbdcc254710a03&s=6&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=4&_idts=1469044955&send_image=0&cdt=2016-07-20 20:04:06&e_c=Explore&res=1242x2208","?_viewts=1469045005&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=27821&_id=91fbdcc254710a03&s=59&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:59&e_c=Explore&res=1242x2208","?_viewts=1469045005&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=17502&_id=91fbdcc254710a03&s=47&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:47&e_c=Explore&res=1242x2208","?action_name=screen\/Explore&_viewts=1469045005&h=16&apiv=1&_idvc=3&url=http:\/\/Wikipedia\/screen\/Explore&r=16911&_id=91fbdcc254710a03&new_visit=1&s=25&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:25&res=1242x2208","?_viewts=1469044970&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=2&url=http:\/\/Wikipedia\/screen\/Explore&r=36047&_id=91fbdcc254710a03&s=6&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:06&e_c=Explore&res=1242x2208","?_viewts=1469044970&h=16&e_a=Impression&apiv=1&e_n=Recommended&_idvc=2&url=http:\/\/Wikipedia\/screen\/Explore&r=22210&_id=91fbdcc254710a03&s=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=3&_idts=1469044955&send_image=0&cdt=2016-07-20 20:03:03&e_c=Explore&res=1242x2208","?action_name=screen\/Explore&_viewts=1469044970&h=16&apiv=1&_idvc=2&url=http:\/\/Wikipedia\/screen\/Explore&r=14138&_id=91fbdcc254710a03&new_visit=1&s=49&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:49&res=1242x2208","?_viewts=1469044955&h=16&e_a=Save&apiv=1&_idvc=1&url=http:\/\/Wikipedia\/screen\/en.wikipedia.org&r=17532&_id=91fbdcc254710a03&idsite=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&s=45&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:45&res=1242x2208","?_viewts=1469044955&h=16&e_a=Tap Through&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=38730&_id=91fbdcc254710a03&s=38&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:38&e_c=Explore&res=1242x2208","?_viewts=1469044955&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=1597&_id=91fbdcc254710a03&s=37&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:37&e_c=Explore&res=1242x2208","?_viewts=1469044955&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=34715&_id=91fbdcc254710a03&s=37&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:37&e_c=Explore&res=1242x2208","?_viewts=1469044955&h=16&e_a=Impression&apiv=1&e_n=Most Read&_idvc=1&url=http:\/\/Wikipedia\/screen\/Explore&r=4737&_id=91fbdcc254710a03&s=36&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&idsite=3&rec=1&m=2&_idts=1469044955&send_image=0&cdt=2016-07-20 20:02:36&e_c=Explore&res=1242x2208","?rec=1&url=http:\/\/Wikipedia\/screen\/Explore&r=42063&_idvc=1&s=35&_id=91fbdcc254710a03&_viewts=1469044955&_idts=1469044955&e_c=Explore&apiv=1&h=16&send_image=0&idsite=3&_cvar={\"1\":[\"Platform\",\"iPhone8,2\"],\"2\":[\"OS version\",\"10.0\"],\"3\":[\"App version\",\"851.1\"]}&res=1242x2208&e_n=Most Read&m=2&new_visit=1&e_a=Impression&cdt=2016-07-20 20:02:35"]}
HTTP/1.1 200 OK
Date: Fri, 22 Jul 2016 19:03:03 GMT
Content-Type: application/json
Content-Length: 63
Connection: keep-alive
Server: Apache
Access-Control-Allow-Origin: *
Access-Control-Allow-Credentials: true
Backend-Timing: D=34926 t=1469214183571805
Content-Encoding: gzip
Vary: Accept-Encoding
X-Varnish: 1050698657, 16942584
Via: 1.1 varnish-v4, 1.1 varnish-v4
Accept-Ranges: bytes
Age: 0
X-Cache: cp1061 pass, cp1045 pass
Strict-Transport-Security: max-age=31536000; includeSubDomains; preload
Set-Cookie: WMF-Last-Access=22-Jul-2016;Path=/;HttpOnly;secure;Expires=Tue, 23 Aug 2016 12:00:00 GMT
X-Analytics: https=1
X-Client-IP: 68.84.42.24
{"status":"success","tracked":14,"invalid":0}